View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000577Ecere SDKidepublic2010-11-24 19:572013-05-19 22:15
Reporterjerome 
Assigned Toredj 
PriorityimmediateSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version0.44 Ryoan-jiFixed in Version0.44 Ryoan-ji 
Summary0000577: Reclicking/drag directory in Global Settings paths list to move, Then reclick to edit
DescriptionPathBox doesn't popup on the right line
Steps To Reproduce- Open up Global Settings dialog on Compilers tab
- Click the last non-empty line down, Reclick it and drag it down
(Till the blue line appears below the empty entry)
- Release (no visual change)
Note: If you try dragging again you will see the blue line is now under that last entry with text
- Now Reclicking that empty line at the end pops up the PathBox one line higher than it should
- Dragging again will make the PathBox one line higher each time (Even until no longer visible)
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0000411)
jerome (administrator)
2010-12-05 22:46

Added the following code in NotifyMove of GlobalSettings.ec:

   if(listBox.currentRow == row.previous)
      return false;

Fixed another bug in the hood by adding a StopEdit before popping up a FileDialog (terminating the ListBox edition first).


Added revision 49 to E:\newroot\sdk\ide\src\dialogs\GlobalSettingsDialog.ec
Added revision 8 to E:\newroot\sdk\ide\src\dialogs\DirectoriesBox.ec
(0000429)
jerome (administrator)
2010-12-15 20:57

The bugs came back after a merged branch of the new GlobalSettingsDialog and generalized DirectoriesBox.

This should solve the problems.

Added revision 10 to E:\newroot\sdk\extras\DirectoriesBox.ec

- Issue History
Date Modified Username Field Change
2010-11-24 19:57 jerome New Issue
2010-11-24 19:57 jerome Status new => assigned
2010-11-24 19:57 jerome Assigned To => redj
2010-12-05 22:46 jerome Note Added: 0000411
2010-12-05 22:46 jerome Status assigned => resolved
2010-12-05 22:46 jerome Resolution open => fixed
2010-12-15 20:57 jerome Note Added: 0000429
2012-03-08 15:33 redj Target Version old 0.44.pre2 => 0.44 Ryoan-ji
2012-03-08 18:07 redj Fixed in Version => 0.44 Ryoan-ji
2012-03-29 07:52 redj Category => ide
2012-03-29 07:52 redj Project @3@ => Ecere SDK
2013-05-19 22:15 jerome Status resolved => closed



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker